<?php
namespace ModulesGarden\Servers\ZimbraEmail\App\Traits;

use function ModulesGarden\Servers\ZimbraEmail\Core\Helper\di;
use ModulesGarden\Servers\ZimbraEmail\Core\Lang\Lang;

/**
 *
 * Created by PhpStorm.
 * User: Tomasz Bielecki ( tomasz.bi@modulesgarden.com )
 * Date: 29.08.19
 * Time: 10:43
 * Trait LangHandler
 */
trait LangHandler
{

    /**
     * @var Lang
     */
    protected $lang;

    /**
     * @return Lang
     */
    public function getLang()
    {

        if(!$this->lang)
        {
            $this->lang = di('lang');
        }

        return $this->lang;
    }

}